/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* COUNT1.CPP                                                */
/*************************************************************/

#include <iostream.h>
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>

#ifndef COUNT1_H
#include "count1.h"
#endif

// Integer_Count member functions

void Integer_Count::increment()
{
	value++;
}

void Integer_Count::decrement()
{
	value--;
}


char* Integer_Count::asBase(int new_base)
{
	char answer_string[80];
	char partial_answer_string[80];
	char remainder_string[10];
	int quotient;
	int remainder;

	remainder = value % new_base;
	quotient = quotient / new_base;
	itoa(remainder, remainder_string, new_base);
	strcpy(answer_string, remainder_string);
	while(quotient != 0)
	{
		remainder = quotient % new_base;
		quotient = quotient / new_base;
		itoa(remainder, remainder_string, new_base);
		strcpy(partial_answer_string, remainder_string);
		strcat(partial_answer_string, answer_string);
		strcpy(answer_string, partial_answer_string);
	}
	return answer_string;
}
