/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* COU_CMNU.H                                                */
/*************************************************************/

#include <iostream.h>
#ifndef CON_MENU_H
#include "con_menu.h"
#endif
#ifndef COUNT_H
#include "count1.h"
#endif
#ifndef BOOLEAN
#define BOOLEAN
enum Boolean { false, true };
#endif

#ifndef COU_CMNU_H
#define COU_CMNU_H

class Count_Console_Menu : public Console_Menu {
public:

	// Constructors/destructors
	Count_Console_Menu() { }
	~Count_Console_Menu() { }

	// Implementors
	void execute_selection();
	void make_items(Integer_Count& new_count);

	// Accessors
	Integer_Count& get_count() { return *count;}
	void set_count(Integer_Count& new_count)
		{ count = &new_count; }

private:

	// Data members
	Integer_Count* count;
};
#endif
