/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* COU_VWS.H                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef CON_VIWS_H
#include "con_viws.h"
#endif
#ifndef COUNTS_H
#include "counts.h"
#endif
#ifndef BOOLEAN
#define BOOLEAN
enum Boolean { false, true };
#endif

#ifndef COU_VWS_H
#define COU_VWS_H

class Count_Console_Menu : public Console_Menu {
public:

	// Constructors/destructors
	Count_Console_Menu() { }
	~Count_Console_Menu() { }

	// Implementors
	void execute_selection();
	void make_items(Integer_Count& new_count);

	// Accessors
	Integer_Count& get_count() { return *count;}
	void set_count(Integer_Count& new_count)
		{ count = &new_count; }

private:

	// Data members
	Integer_Count* count;
};


class Count_Console_Display_Box : public Console_Display_Box {
public:

	// Constructors/destructors
	Count_Console_Display_Box() { }
	~Count_Console_Display_Box() { }

	// Implementors
	void display_value();

	// Accessors
	Integer_Count& get_count() { return *count; }
	void set_count(Integer_Count& new_count)
		{ count = &new_count; }

private:

	// Data members
	Integer_Count* count;
};

#endif
