/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

#include <iostream.h>
#ifndef COU_VWS_H
#include "cou_vws.h"
#endif

int main()
{
	cout << endl << "INTEGER COUNT Menu" << endl;

	Count_Console_Menu menu;
	Count_Console_Display_Box display_box;
	Integer_Count an_integer_count(10);

	display_box.set_label_string("Current value: ");
	display_box.set_count(an_integer_count);

	menu.make_items(an_integer_count);
	menu.add_terminator("Quit");
	menu.add_prompt("Make a selection:  ");

	display_box.display_value();
	menu.get_user_selection();
	menu.execute_selection();
	display_box.display_value();

	cout << endl << endl << "Happy trails." << endl;
	return 0;
}