/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* ITEM_MNU.H                                                */
/*************************************************************/

#include <iostream.h>
#ifndef CON_VIWS_H
#include "con_viws.h"
#endif
#ifndef VENDING_H
#include "vending.h"
#endif
#ifndef BOOLEAN
#define BOOLEAN
enum Boolean { false, true };
#endif

#ifndef ITEM_MNU_H
#define ITEM_MNU_H

class Item_Console_Menu : public Console_Menu {
public:

	// Constructors/destructors
	Item_Console_Menu() { }
	~Item_Console_Menu() { }

	// Implementors
	void make_items(Dispensing_Holder**
		dispensing_holders, int number_of_holders);

	void update_items();
	void update_item(int item_number);
	void replace_item(String new_item, int item_number);

	Boolean sold_out_selection();
	void execute_selection();

	// Accessors
	void set_dispensing_holders(Dispensing_Holder**
		new_value, int number_of_holders);

private:

	// Data members
	Dispensing_Holder* dispensing_holders[MAX_CONSOLE_MENU_SIZE];
};

#endif