/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST5.CPP                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef VENDING_H
#include "vending.h"
#endif
#ifndef ITEM_VWS_H
#include "item_vws.h"
#endif

int main ()
{
	Item item("Coca-Cola", 0.75);
	Dispensing_Holder a_dispensing_holder;
	Item_View_Container an_item_view_container;

	a_dispensing_holder.connect_to_item(item);
	an_item_view_container.build_views
		(a_dispensing_holder);
	an_item_view_container.display_components();

	return 0;
}
