/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST4.CPP                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef FLOW4_H
#include "flow4.h"
#endif

int main () {

	cout << "Active intervals" << endl << endl;

	Time start_time;    // Default constructors
			    // use current time.
	Time end_time;
	Active_Interval now_interval;

	// Add zero hours, two minutes and zero seconds.
	end_time = start_time.add_time(0, 2, 0);

	now_interval.set_start_time(start_time);
	now_interval.set_end_time(end_time);

	cout << now_interval;
	if(now_interval.check_if_active_now())
		cout << "Yes, active now" << endl << endl;
	else
		cout << "No, not active now" << endl << endl;

	now_interval.set_start_time(end_time);
	now_interval.set_end_time(end_time.add_time(0, 2, 0));

	cout << now_interval;
	if(now_interval.check_if_active_now())
		cout << "Yes, active now" << endl << endl;
	else
		cout << "No, not active now" << endl << endl;

	cout << endl << "Happy Trails" << endl;
	return 0;
}