'OBJECT-ORIENTED PROGRAMMING
Peter Coad / Jill Nicola
Source Code Diskette
(C) 1993  Object International, Inc.  All rights reserved.
'!

'ASCCOUNT.ST'!

Count subclass: #ASCIICount
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Counts'!


!ASCIICount methodsFor: 'initialize-release'!

initialize
	resetValue := $a.
	super initialize! !

!ASCIICount methodsFor: 'counting'!

decrement
	"Set my value to the character with the previous ASCII 
	value. Check for invalid values and use 
	wraparound when the value becomes unprintable."

	| newAsciiValue |
	newAsciiValue := value asInteger < 33
				ifTrue: [126]
				ifFalse: [value asInteger - 1].
	^self value: (Character value: newAsciiValue)!

increment
	"Set my value to the character with the next ASCII 
	value. Check for invalid values and use 
	wraparound when the value becomes unprintable."

	| newAsciiValue |
	newAsciiValue := value asInteger > 125
				ifTrue: [33]
				ifFalse: [value asInteger + 1].
	^self value: (Character value: newAsciiValue)! !