'OBJECT-ORIENTED PROGRAMMING
Peter Coad / Jill Nicola
Source Code Diskette
(C) 1993  Object International, Inc.  All rights reserved.
'!

'DATCOUNT.ST'!

Count subclass: #DateCount
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Counts'!


!DateCount methodsFor: 'initialize-release'!

initialize
	resetValue := Date today.
	super initialize! !

!DateCount methodsFor: 'counting'!

decrement
	"Decrement my value to the preceeding date."

	^self value: (value subtractDays: 1)!

increment
	"Increment my value to the next date."

	^self value: (value addDays: 1)! !