'OBJECT-ORIENTED PROGRAMMING
Peter Coad / Jill Nicola
Source Code Diskette
(C) 1993  Object International, Inc.  All rights reserved.
'!

'SALESFMT.ST'!

TransactionFormat subclass: #SalesTransactionFormat
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Transaction Formats'!


!SalesTransactionFormat methodsFor: 'storing'!

storeAttributesFor: salesTrasnaction on: stream 
	super storeAttributesFor: salesTrasnaction on: stream.
	self
		storeTag: 'methodOfPayment'
		value: salesTrasnaction methodOfPayment
		on: stream! !

!SalesTransactionFormat methodsFor: 'restoring'!

restoreAttributesFor: transaction from: stream 
	| methodOfPayment |
	super restoreAttributesFor: transaction from: stream.
	methodOfPayment := self restoreTagValue: 
		'methodOfPayment' from: stream.
	transaction methodOfPayment: methodOfPayment! !