/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* COU_CMNU.CPP                                              */
/*************************************************************/

#ifndef COU_CMNU_H
#include "cou_cmnu.h"
#endif
#ifndef COUNTS_H
#include "counts.h"
#endif


void Count_Console_Menu::make_items(Integer_Count& new_count)
{
	this->add_item("Increment");
	this->add_item("Decrement");
	this->add_item("Reset");
	count = &new_count;
}

void Count_Console_Menu::execute_selection()
{
	switch (selection)
	     {
		case 1:
			count->increment();
			break;
		case 2:
			count->decrement();
			break;
		case 3:
			count->reset();
			break;
	     };
}

