/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* COU_VWS.CPP                                               */
/*************************************************************/

#ifndef COU_VWS_H
#include "cou_vws.h"
#endif
#ifndef COUNTS_H
#include "counts.h"
#endif

void Count_Console_Menu::make_items(Integer_Count& new_count)
{
	this->add_item("Increment");
	this->add_item("Decrement");
	this->add_item("Reset");
	count = &new_count;
}

void Count_Console_Menu::execute_selection()
{
	switch (selection)
	     {
		case 1:
			count->increment();
			break;
		case 2:
			count->decrement();
			break;
		case 3:
			count->reset();
			break;
	     };
}


void Count_Console_Display_Box::display_value()
{
	this->display_label_string();
	cout << count->get_value()
	     << endl;
}

