/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST1.CPP                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef COUNTS_H
#include "counts.h"
#endif

main()
{
 // Create an integer count object with an initial value
 // of 5.
 Integer_Count intcount(5);

// Get its value. And display it.
 cout << endl << "INTEGER Demo" << endl << endl;
 cout << "Current value: " << intcount.get_value()
	<< endl;

 // Tell it to increment itself twice.
 intcount.increment();
 intcount.increment();

 cout << "Current value: " << intcount.get_value()
	<< endl;

 // Tell it to dencrement itself three times.
 intcount.decrement();
 intcount.decrement();
 intcount.decrement();

 cout << "Current value: " << intcount.get_value()
	<< endl;

  // Tell it to reset itself.
 intcount.reset();

  cout << "Current value: " << intcount.get_value()
	<< endl;

   cout << endl << "Happy trails." << endl;

   return 0;
}