/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST4.CPP                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef COU_CMNU_H
#include "cou_cmnu.h"
#endif

int main()
{
	cout << endl << "INTEGER COUNT Menu" << endl;

	Count_Console_Menu menu;
	Integer_Count integer_count(10);

	cout << endl;
	cout << "Starting count: " << integer_count.get_value();
	cout << endl;

	// Make the console menu on the integer count.
	menu.make_items(integer_count);
	menu.add_terminator("Quit");
	menu.add_prompt("Make a selection:  ");

	menu.get_user_selection();
	menu.execute_selection();

	cout << endl;
	cout << "Ending count: " << integer_count.get_value();

	cout << endl << endl << "Happy trails." << endl;

	return 0;
}