/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* CSH_VWS1.H                                                */
/*************************************************************/

#include <iostream.h>
#ifndef CON_VIWS_H
#include "con_viws.h"
#endif
#ifndef VENDING_H
#include "vending.h"
#endif
#ifndef BOOLEAN
#define BOOLEAN
enum Boolean { false, true };
#endif

#ifndef CASH_VWS_H
#define CASH_VWS_H

class Cash_Device_Console_Display_Box : public
	Console_Display_Box {
public:

	// Constructors/destructors
	Cash_Device_Console_Display_Box() { }
	~Cash_Device_Console_Display_Box() { }

	// Implementors
	void display_value();

	// Accessors
	Cash_Device& get_cash_device() { return *a_cash_device; }
	void set_cash_device(Cash_Device& new_device)
		{ a_cash_device = &new_device; }

private:

	// Data members
	Cash_Device* a_cash_device;
};

#endif

