/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST6.CPP                                                 */
/*************************************************************/

#include <iostream.h>
#ifndef VENDING_H
#include "vending.h"
#endif
#ifndef ITEM_MNU_H
#include "item_mnu.h"
#endif

int main ()
{
	Dispensing_Holder* holders[3];
	Item_Console_Menu item_menu;

	Cash_Device a_cash_device;
	a_cash_device.set_amount_collected(1.25);

	Item item;
	Dispensing_Holder* holder = new Dispensing_Holder();

	item.add_item("Coca-Cola", 0.75, *holder, a_cash_device);
	holders[0] = holder;

	holder = new Dispensing_Holder();
	item.add_item("Pepsi", 0.75, *holder, a_cash_device);
	holders[1] = holder;

	holder = new Dispensing_Holder();
	item.add_item("Jolt", 0.75, *holder, a_cash_device);
	holders[2] = holder;

	item_menu.make_items(holders, 3);
	item_menu.add_terminator("Quit");
	item_menu.add_prompt("Pick your favorite: ");
	while (item_menu.get_user_selection() != 0)
		item_menu.execute_selection();

	return 0;

}
