/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* STORAGE1.H                                                 */
/*************************************************************/

#ifndef STORAGE1_H
#define STORAGE1_H

class PDC_Object {
public:

	// Constructors/destructors
	PDC_Object() { object_ID = this->get_next_object_ID(); }
	~PDC_Object() { };

	// Accessors
	int get_object_ID(){ return object_ID; }
	void set_object_ID(int new_ID) { object_ID = new_ID; }

protected:

	int get_next_object_ID();

	int object_ID;
	static int next_object_ID;
};

#endif