/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST2.CPP                                                 */
/*************************************************************/

#ifndef SALES2_H
#include "sales2.h"
#endif


int main ()
{
	Sales_Transaction a_sale;

	Product sporting_good("Bowling shoes", 22.50);
	Product good_food("Peanut Butter", 2.25);

	Line_Item sporting_line_item(sporting_good, 1);
	Line_Item food_line_item(good_food, 2);

	a_sale.connect_to_line_item(sporting_line_item);
	a_sale.connect_to_line_item(food_line_item);
	cout << a_sale;
	return 0;

}