/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST4.CPP                                                 */
/*************************************************************/

#include "sales3.h"
#include "con_viws.h"

typedef String (Customer::*Customer_String_Function) ();

int main ()
{
	Console_Display_Box <Customer,
		Customer_String_Function> a_console_display_box;

	Customer mr_rubble("Barney Rubble", "Bedrock");
	a_console_display_box.set_object(mr_rubble);
	a_console_display_box.set_value_function
		(&Customer::get_name);

	a_console_display_box.display_value();
	return 0;
}