/*************************************************************/
/* OBJECT-ORIENTED PROGRAMMING                               */
/* Peter Coad / Jill Nicola                                  */
/* Source Code Diskette                                      */
/* (c)1993  Object International, Inc.  All rights reserved. */
/*************************************************************/

/*************************************************************/
/* TEST5.CPP                                                 */
/*************************************************************/

#ifndef SALES_H
#include "sales.h"
#endif

#ifndef TRN_VWS1_H
#include "trn_vws1.h"
#endif

int main ()
{
	Customer a_customer;
	Customer_Container a_customer_container;
	Customer& mr_rubble = a_customer.customer_demo();

	Transaction_Selection_Holder* transaction_holder =
		new Transaction_Selection_Holder();

	transaction_holder->connect_to_customer(mr_rubble);

	a_customer_container.build_views(mr_rubble);
	a_customer_container.
		connect_menu_to_holder(*transaction_holder);

	a_customer_container.display_components();
	return 0;
}