'OBJECT-ORIENTED PROGRAMMING
Peter Coad / Jill Nicola
Source Code Diskette
(C) 1993  Object International, Inc.  All rights reserved.
'!

'PRDCTFMT.ST'!

PDCObjectTagFormat subclass: #ProductFormat
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Transaction Formats'!


!ProductFormat methodsFor: 'storing'!

storeAttributesFor: product on: stream 
	self
		storeTag: 'name'
		value: product name
		on: stream.
	self
		storeTag: 'price'
		value: product price printString
		on: stream! !

!ProductFormat methodsFor: 'restoring'!

restoreAttributesFor: product from: stream 
	| productName productPrice |
	productName := self restoreTagValue: 'name' 
		from: stream.
	product name: productName.
	productPrice := self restoreTagValue: 'price' 
		from: stream.
	productPrice isNil ifTrue: [^self].
	product price: (Float readFrom: productPrice readStream)! !