'OBJECT-ORIENTED PROGRAMMING
Peter Coad / Jill Nicola
Source Code Diskette
(C) 1993  Object International, Inc.  All rights reserved.
'!

'SALESTRN.ST'!

Transaction subclass: #SalesTransaction
	instanceVariableNames: 'methodOfPayment '
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Transactions'!


!SalesTransaction methodsFor: 'initialize-release'!

initialize
	methodOfPayment := 'cash'.
	super initialize! !

!SalesTransaction methodsFor: 'accessing'!

methodOfPayment	
	 "Return my methodOfPayment " 

	^methodOfPayment!

methodOfPayment:  aValue

	methodOfPayment :=  aValue.
	self changed: #methodOfPayment! !

!SalesTransaction methodsFor: 'calculations'!

calculateTotal
	| subTotal |
	subTotal := 0.
	lineItems do: [:anItem | subTotal := subTotal +
		 anItem calculateTotal].
	^subTotal! !